#
# Copyright (C) 2012 Alexis Bienvenue <paamc@passoire.fr>
#
# This file is part of Auto-Multiple-Choice
#
# Auto-Multiple-Choice is free software: you can redistribute it
# and/or modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation, either version 2 of
# the License, or (at your option) any later version.
#
# Auto-Multiple-Choice is distributed in the hope that it will be
# useful, but WITHOUT ANY WARRANTY; without even the implied warranty
# of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with Auto-Multiple-Choice.  If not, see
# <http://www.gnu.org/licenses/>.

package AMC::Filter::register::plainimg;

use AMC::Filter::register::plain;
use AMC::Basic;

@ISA=("AMC::Filter::register::plain");

sub name {
  return("AMC-TXT+images");
}

sub default_content {
  my ($self,$file)=@_;
  open(EMPTY,">",$file);
  print EMPTY "# AMC-TXT+images file\n";
  print EMPTY "Title:\nPresentation:\n";
  close(EMPTY);
}

sub description {
  return("Extension to AMC-TXT to include images");
}

sub weight {
  return(0.8);
}

sub claim {
  my ($self,$file)=@_;
  my $h=$self->file_head($file,256);
  return(.95) if($h && $h =~ /^\s*\#\s*AMC-TXT+images/);
  return(0.0);
}

1;
